Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

`gem yank` + 2FA requires OTP, but has no way to provide it #2790

Closed
duckinator opened this issue Jun 7, 2019 · 3 comments

Comments

@duckinator
Copy link
Member

commented Jun 7, 2019

My current problem is that, if you have 2FA enabled, gem yank requires a OTP -- but doesn't prompt you for one, and doesn't accept a --otp <...> flag.

This issue is related to:

  • Network problems
  • Installing a library
  • Publishing a library
  • The command line gem
  • Other

Here are my current environment details:

$ gem env version
3.0.3

I will abide by the code of conduct.

@indirect

This comment has been minimized.

Copy link
Member

commented Jun 7, 2019

Any interest in sending a PR to fix it? 🙂

@duckinator

This comment has been minimized.

Copy link
Member Author

commented Jun 7, 2019

I'll give it a shot next week. 👍

@satoryu satoryu referenced this issue Jul 22, 2019
2 of 4 tasks complete
@duckinator

This comment has been minimized.

Copy link
Member Author

commented Sep 14, 2019

Apparently:

  1. I forgot to follow-up on this.
  2. #2514 added this in February, but it hasn't been included in a release yet.

So I'm going to close this issue, since the next release should resolve it.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
3 participants
You can’t perform that action at this time.